%define _altdata_dir %_datadir/alterator

Name: alterator-sysconfig

Version: 0.8
Release: alt3.M41.6

Requires: alterator-sh-functions

%add_findreq_skiplist %_datadir/install2/preinstall.d/*

Provides: alterator-syskbd = %version
Obsoletes: alterator-syskbd

Packager: Stanislav Ievlev <inger@altlinux.org>

BuildArch:	noarch

Source:%name-%version.tar

Summary: alterator module for basic system settings
License: GPL
Group: System/Configuration/Other
Requires: alterator >= 3.5-alt1
Requires: alterator-sh-functions >= 0.6-alt2
Conflicts: alterator-lookout < 0.9-alt5
Conflicts: alterator-wizardface < 0.5-alt7

BuildPreReq: alterator >= 3.2-alt6

# Automatically added by buildreq on Mon Jul 11 2005 (-bi)
BuildRequires: alterator, alterator-l10n

%description
alterator module for basic system settings ( console and X11 keyboard, console font, system locale)

%prep
%setup -q

%build
%make_build libdir=%_libdir

%install
%makeinstall
%find_lang %name


%files -f %name.lang
%config(noreplace) %_sysconfdir/alterator/sysconfig
%_datadir/alterator/ui/*/
%_datadir/alterator/help/*/*
%_alterator_backend3dir/*
%_datadir/install2/preinstall.d/*

%changelog
* Fri Dec 05 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.8-alt3.M41.6
- update help, rebuild with new alterator-l10n

* Fri Dec 05 2008 Stanislav Ievlev <inger@altlinux.org> 0.8-alt3.M41.5
- add pt_BR to language list

* Thu Nov 13 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.8-alt3.M41.4
- cherry-picks from master:
 - fix help for joined mode
 - place two dialogs in joined mode side by side

* Fri Nov 07 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.8-alt3.M41.3
- catch/message -> woo-catch/message  (for 4.1)

* Tue Oct 28 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.8-alt3.M41.2
- build for 4.1

* Fri Oct 24 2008 Stanislav Ievlev <inger@altlinux.org> 0.8-alt4
- fix old sysfont backend

* Mon Sep 22 2008 Stanislav Ievlev <inger@altlinux.org> 0.8-alt3
- update Russian keyboard layouts

* Mon Sep 22 2008 Stanislav Ievlev <inger@altlinux.org> 0.7-alt2.M41.2
- update Russian keyboard layouts

* Fri Sep 19 2008 Stanislav Ievlev <inger@altlinux.org> 0.8-alt2
- bugfix

* Thu Sep 18 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.8-alt1
- Merge all interfaces and all backeends (keep old versions)

* Mon Aug 25 2008 Stanislav Ievlev <inger@altlinux.org> 0.7-alt2.M41.1
- build for 4.1

* Mon Aug 25 2008 Stanislav Ievlev <inger@altlinux.org> 0.7-alt3
- add support for defaults (/etc/sysconfig/kbd/kbdlist)
- syskbd backend: alterator_api_version = 1

* Mon May 26 2008 Stanislav Ievlev <inger@altlinux.org> 0.7-alt2
- join to common translation datebase
- improve ui layout

* Mon May 26 2008 Stanislav Ievlev <inger@altlinux.org> 0.7-alt1
- use enumref
- improve UI according common alterator HIG
- minor bugfixes

* Thu May 22 2008 Stanislav Ievlev <inger@altlinux.org> 0.6-alt1
- add help for language step
- remove 'POSIX'
- remove autoinstall backend usage
- translate both 'Next' and 'Help' buttons

* Wed Apr 16 2008 Stanislav Ievlev <inger@altlinux.org> 0.5-alt5
- go next on double click (#11000)
- fix focus jump (#14682)

* Mon Mar 24 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.5-alt4
- remove layout-policy attribute (bug #14945)

* Wed Mar 12 2008 Stanislav Ievlev <inger@altlinux.org> 0.5-alt3
- provides/obsoletes alterator-syskbd

* Wed Jan 30 2008 Stanislav Ievlev <inger@altlinux.org> 0.5-alt2
- use alterator-sh-functions
- add help from installer
- don't setup rpm_install_langs
- add uk_UA to langlist.ru
- rename ru_RU to ru_UA in langlist.uk

* Tue Jan 22 2008 Stanislav Ievlev <inger@altlinux.org> 0.5-alt1
- remove old /sysconfig/lang
- add support for translation fallback

* Mon Oct 29 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt2
- translate step list

* Thu Oct 04 2007 Stanislav Ievlev <inger@altlinux.org> 0.4-alt1
- add /sysconfig/language - separate language step
- fix old /sysconfig/lang - wrong translation package

* Thu Sep 20 2007 Stanislav Ievlev <inger@altlinux.org> 0.3-alt1
- join together all basic system setup:
  console font, console and X11 keyboard layout, system locale

* Mon Aug 06 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.2-alt8
- control switching fixed 

* Fri Jun 22 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.2-alt7
- added 3-language layput for UA 

* Fri Jun 15 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt6
- to sisyphus

* Mon Jun 04 2007 Anton V. Boyrshonov <boyarsh@altlinux.ru> 0.2-alt5
- added alt-shift toggle 

* Wed May 02 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt4
- update Ukrainian translation

* Mon Apr 23 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt3
- add Ukrainian translation

* Wed Jan 31 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt2
- add default action

* Wed Jan 31 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt1
- add support for autoinstall backend
- automatically select single keyboard variant

* Wed Dec 13 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt5
- really change system files

* Mon Dec 11 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt4
- improve interface for low resolution screens

* Mon Dec 04 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt3
- auto skip in both directions
- save translations in utf8 encodings to avoid iconv usage on installer's stage2 

* Wed Nov 29 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt2
- enable wizard callbacks

* Fri Nov 10 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt1
- initial release

